package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.PublicSecurity;
import com.lightinit.hsdatashow.entity.PublicSecurityExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface PublicSecurityMapper {
    long countByExample(PublicSecurityExample example);

    int deleteByExample(PublicSecurityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PublicSecurity record);

    int insertSelective(PublicSecurity record);

    List<PublicSecurity> selectByExample(PublicSecurityExample example);

    PublicSecurity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PublicSecurity record, @Param("example") PublicSecurityExample example);

    int updateByExample(@Param("record") PublicSecurity record, @Param("example") PublicSecurityExample example);

    int updateByPrimaryKeySelective(PublicSecurity record);

    int updateByPrimaryKey(PublicSecurity record);

    List<PublicSecurity> gePublicSecurity(int year);
}